<template>
  <div id="app">
    <HeaderStripe />

    <div class="page-wrapper">
      <transition name="fade" mode="out-in">
        <router-view />
      </transition>
    </div>

    <FooterSection />
  </div>
</template>

<script>
import HeaderStripe from "@/components/homepage/header-stripe.vue";
import FooterSection from "@/components/homepage/footer-section.vue";
import { mapActions } from "vuex";


export default {
  components: {
    HeaderStripe,
    FooterSection
  }
};
</script>

<style lang="scss">
@import url("https://fonts.googleapis.com/css?family=Bungee+Outline");

html,
body {
  min-height: 100%;
}

html {
  overflow-y: scroll;
  // background-color: $color-main;
  background: $color-main url("#");
  background-size: 100% auto;
  // background-attachment: fixed;
}

body {
  &:before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    z-index: -1;

    display: block;
    background: 
    
        no-repeat right top/auto 70%
        url("#"),
        no-repeat left top/auto 80% url("#");
    width: 100%;
    height: 100%;

    // filter: blur(5px);
  }
}

.fade-enter-active,
.fade-leave-active {
  transition-duration: 0.3s;
  transition-property: opacity;
  transition-timing-function: ease;
}

.fade-enter,
.fade-leave-active {
  opacity: 0;
}
</style>
